Архитектору и проектировщику|Тепло- и звукоизоляция URSA.RU
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Автозаполнение ведомости рабочих чертежей

Автозаполнение ведомости рабочих чертежей

Ответ
Поиск в этой теме
Непрочитано 29.10.2007, 09:15 2 | #1
Автозаполнение ведомости рабочих чертежей
wetr
 
инженер
 
Владивосток
Регистрация: 09.08.2006
Сообщений: 1,553

Те кто видел КОМПАС меня поймут: хочу чтобы ведомость рабочих четрежей заполнялась автоматически. Пользую поля - ссылки на объекты. В моем случае ссылаюсь на блок(рамка) с аттрибутами "№листа" и "наименование листа". Вроде бы все отлично. Убивает трудоемкость создания данной таблицы. Т.е. как я делаю(может не правильно?):
создаем мтекст-вставить поле-объект-выбрать- а дальше проблемка - рамка то находится в лайоутах. А перелистывать лайоуты в режиме выбора нельзя... Приходится сначала открывать лайоут, затем копировать текст вида
"%<\AcObjProp Object(%<\_ObjId 2130566400>%).TextString>%"
в отдельный файл, затем вставлять в нужное мне поле. Есть другие варианты узнать ObjID? Или другие варианты создать эту таблицу?
И еще: в каких случаях меняется этот ID? А то я боюсь теперь эти блоки редактировать - все собьется нафиг
*******************************************************************************************************************
...Прошел год
VVA сделал отличную программу по созданию Ведомости рабочих чертежей (Компас отдыхает)

ВОЗМОЖНОСТИ:
- Ведомость создается в виде таблицы с полями.
- Обязательно использование блока с атрибутами "ЛИСТ" и "НАИМЕНОВАНИЕ.ЧЕРТЕЖА".
- Таблицы вставляется в слое _Таблица. Если слоя нет - он создается. Настройки слоя можно поменять в ЛИСПе
- Таблицы вставляются в Стиле таблиц "Ведомость чертежей" оформленной по ГОСТу. Настройки стиля см. в ЛИСПе
- Запускать командой VRC в командной строке или сделать себе кнопку


ОСОБЕННОСТИ:
- В таблице и блоке используется шрифт "MIPGOST.SHX". Скачать можно здесь. Не нравится? Открывай код и меняй под себя.
- В блок-рамке используется многострочный атрибут, который работает только в AutoCAD 2008 и старше.
Если у вас более ранняя версия - программа будет работать, но атрибут будет однострочный.
- При заполнении многострочного атрибута "НАИМЕНОВАНИЕ.ЛИСТА" не используйте ENTER. Текст перескочит на новую строку сам.(Это актуально если лисп вставляет поля. Варианты лиспа VRCTS и VRCTN отрабатывают без проблем)

ПРО БЛОК:
- Рамка пестрит полями - название проекта заполнять на титульном листе, в рамке обновится
- ШИФР проекта заполнять на титульном листе
- Формат листа - ссылка на lookup внутри блока, обновляется.
- Для того, чтобы количество листов прописывалось автоматом, я сделал себе макрос на кнопку, запускающую VRC
Цитата:
^C^C(setvar "USERI1" (length(layoutlist)));_updatefield;all;;vrc
Внимание! Если у вас используется переменная USERI1, могут возьникнуть проблемы!
**********************

Для тех, кому не нравиться что программа создает стили и слои, вариант от VVA и Red Nova

************************************
***Обновление от 04.02.2008. **********
************************************
Добавлена возможность заполнять таблицу полями, текстом, выбирать или нет листы. Подробности в начале лиспа.
Команды:
VRC - таблица с полями, все листы
VRCTS - таблица с Tекстом, выбор (S) листов
VRCTN - таблица с Tекстом, нет (N) выбора листов
VRCFS - таблица с полями (F), выбор (S) листов

************************************
***Обновление от 06.09.2010. ***********
***********************************
Добавлена возможность выбора стиля таблиц
Версия для x64 : http://forum.dwg.ru/showpost.php?p=349807&postcount=159

Вложения
Тип файла: rar mipgost.rar (6.1 Кб, 1087 просмотров)
Тип файла: dwg
DWG 2004
Пример Ведомость чертежей.dwg (110.4 Кб, 34175 просмотров)
Тип файла: lsp vrc_VVA.lsp (34.6 Кб, 920 просмотров)

__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)

Последний раз редактировалось Кулик Алексей aka kpblc, 19.04.2014 в 22:22.
Просмотров: 101363
 
Непрочитано 29.10.2007, 09:31
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,757


А если попробовать использовать SheetSetManager? Там вроде была такая возможность...
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 29.10.2007, 09:41
#3
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,800
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Выложи файлик чертежа для примера. Думаю можно будет собрать со всех листов твои ObjID и "выплюнуть" все это в блокнот, или таблицу Автокада.
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Автор темы   Непрочитано 29.10.2007, 10:04
#4
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


Вот пример файла. В таблицу автокада - это классно. Когда вставляешь в таблицу ObjID он превращиется в то что нужно!
Вложения
Тип файла: rar пример.rar (413.3 Кб, 1036 просмотров)
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)
wetr вне форума  
 
Непрочитано 29.10.2007, 20:07
#5
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,800
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Пробуй
Код:
[Выделить все]
(defun c:vrc (/ adoc alay ss pnt tbl attlst lst fld lock)
  (defun SortStringWithNumberAsNumber (ListOfString IgnoreCase / NorStrs count)
;;;Function Normalize (add 0 befor number) number in string
;;; Count normalize symbols set in variable count
;;; CAB added count as an argument
  (defun NormalizeNumberInString (str count / ch i pat ret buf)
    (setq i   0
          pat '("0" "1" "2" "3" "4" "5" "6" "7" "8" "9")
          ret ""
    ) ;_ end of setq
    (while (/= (setq ch (substr str (setq i (1+ i)) 1)) "")
      (if (vl-position ch pat)
        (progn
          (setq buf ch) ;_ end of setq
          (while
            (vl-position (setq ch (substr str (setq i (1+ i)) 1)) pat)
             (setq buf (strcat buf ch))
          ) ;_ end of while
          (while (< (strlen buf) count) (setq buf (strcat "0" buf)))
          (setq ret (strcat ret buf))
        ) ;_ end of progn
      ) ;_ end of if
      (setq ret (strcat ret ch))
    ) ;_ end of while
    ret
  ) ;_ end of defun
  ;;-------------------------------------------------
  ;;  function to Count the longest number in string 
  ;;  CAB added to get the correct COUNT
  (defun getcount (lst / count pat)
    (setq count 0)
    (setq pat '("0" "1" "2" "3" "4" "5" "6" "7" "8" "9"))
    (mapcar
      '(lambda (str / i maxlen ch)
         (setq i 0 maxlen 0)
         (while (/= (setq ch (substr str (setq i (1+ i)) 1)) "")
           (if (vl-position ch pat) ; number
             (setq maxlen (1+ maxlen))
             (setq count  (max count maxlen) maxlen 0)
           )
         )
  (setq count  (max count maxlen)) ;_<<< ADD 21.06.2007 by 
       )
      Lst
    )
    count
  )
  ;;===============================================
  (setq count   (GetCount ListOfString)
        NorStrs (mapcar '(lambda (x) (NormalizeNumberInString x count))
                        ListOfString)
  )
  (and IgnoreCase (setq NorStrs (mapcar 'strcase NorStrs)))
  (mapcar '(lambda (x) (nth x ListOfString)) (vl-sort-i NorStrs '<))
)
   (defun get-all-atts (obj)
  (if (and obj
    (eq :vlax-true (vla-get-HasAttributes obj))
    (vlax-property-available-p obj 'Hasattributes)
 
      )
    (vl-catch-all-apply
      (function
 (lambda ()
   (mapcar (function (lambda (x)
         (list (vla-get-TagString x)
        (vla-get-TextString x)
                                    x
         )
       )
    )
    (append (vlax-invoke obj 'Getattributes)
     (vlax-invoke obj 'Getconstantattributes)
    )
   )
 )
      )
    )
  )
)
  (defun lib:get-active-space ()
  (if (and (zerop (vla-get-activespace (vla-get-activedocument (vlax-get-acad-object)))) 
      (= :vlax-false (vla-get-mspace (vla-get-activedocument (vlax-get-acad-object)))) 
      ) ;_ end of and 
    (vla-get-paperspace (vla-get-activedocument (vlax-get-acad-object))) 
    (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
  ) ;_ end
  (vl-load-com)
   (setq adoc (vla-get-activedocument (vlax-get-acad-object))
        alay (vla-get-activelayer adoc)
  )
  (if
(and
(setq ss (ssget "_X" '((0 . "INSERT")(66 . 1))))
(setq lst (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp(mapcar 'cadr(ssnamex ss)))))
(setq attlst (mapcar '(lambda(x)(get-all-atts x)) lst))
(setq attlst (vl-remove-if-not '(lambda(x)(and (assoc "ЛИСТ" x)
                                               (assoc "НАИМЕНОВАНИЕ.ЧЕРТЕЖА" x)
                                               )
                                  )
               attlst)
      )
(setq lst (SortStringWithNumberAsNumber (mapcar '(lambda (x)(cadr(assoc "ЛИСТ" x))) attlst) t))
(vl-catch-all-apply '(lambda()
(setq attlst (vl-sort attlst '(lambda(x y)(< (vl-position(cadr(assoc "ЛИСТ" x)) lst)(vl-position(cadr(assoc "ЛИСТ" y)) lst)))))
                       )
  )
 (setq pnt (vl-catch-all-apply
                       (function getpoint)
                       '("Точка вставки таблицы <Отказаться>: ")
                   )
     )
 (not (vl-catch-all-error-p pnt))
 (setq tbl (vla-addtable (lib:get-active-space)
                      (vlax-3d-point (trans pnt 1 0))
                      (+ (length attlst) 2)
                      2
                      800  ;_высота строки
                      6000 ;_ширина столбца
                    )
       )
)
(progn
  (if (= (vla-get-lock alay) :vlax-true)
        (progn (vla-put-lock alay :vlax-false) (setq lock t))
      )
          (vla-put-regeneratetablesuppressed tbl :vlax-true)
          (vla-settext tbl 0 0 "Ведомость чертежей")
          (vla-setcellalignment tbl 0 0 acmiddlecenter)
          (vla-setcelltextheight tbl 0 0
                                      500  ;_Высота текста
            )
          (vla-settext tbl 1 0 "Лист")
          (vla-settext tbl 1 1 "Обозначение")
          (vla-setcellalignment tbl 1 0 acMiddleCenter)
          (vla-setcellalignment tbl 1 1 acMiddleCenter)
          (vla-setcelltextheight tbl 1 0
                                    400  ;_Высота текста
            )
          (vla-setcelltextheight tbl 1 1
                                    400  ;_Высота текста
            )
          (vla-setcolumnwidth tbl 0
                                  3000 ;_Ширина колонки Лист
            )
          (vla-setcolumnwidth tbl 1
                                  9000 ;_Ширина колонки Обозначение
            )
 
          (vla-put-horzcellmargin tbl 100) ;_Отступ текста по горизонтали
          (setq row 1)
          (foreach i attlst
            (setq fld (strcat " %<\\AcObjProp Object(%<\\_ObjId "
             (vl-princ-to-string(vla-get-objectid (caddr (assoc "ЛИСТ" i))))
                ">%).TextString \\f \"%tc3\">%"
                ) ;_ strcat
          )
            (vla-settext tbl (setq row (1+ row)) 0 fld)
            (vla-setcellalignment tbl row 0 acMiddleCenter)
            (vla-setcelltextheight tbl row 0
                             350  ;_Высота текста
              )
            (setq fld (strcat " %<\\AcObjProp Object(%<\\_ObjId "
             (vl-princ-to-string(vla-get-objectid (caddr (assoc "НАИМЕНОВАНИЕ.ЧЕРТЕЖА" i))))
                ">%).TextString \\f \"%tc3\">%"
                ) ;_ strcat
          )
            (vla-settext tbl row 1 fld)
            (vla-setcellalignment tbl row 1 acMiddleLeft)
            (vla-setcelltextheight tbl row 1
                             350  ;_Высота текста
              )
          )
          (vla-put-regeneratetablesuppressed tbl :vlax-false)
          (vla-update tbl)
          (if lock (vla-put-lock alay :vlax-true))
        )
      )
 
  )
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 25.02.2009 в 17:34. Причина: Специально для Red Nova
VVA вне форума  
 
Непрочитано 29.10.2007, 20:14
#6
RomansFather

Инженерконструктор
 
Регистрация: 25.10.2007
Минск
Сообщений: 350


Привет wetr. В тему я не въезджал, потому-что не дорос еще до использования Лэйаутов, Вьюпортов и прочей высшей математики (отчасти из за того, что работаю совместно с людьми, что привыкли по старинке, не особо вдаваясь в возможности Акада), но мне очень понравились твои динамические блоки арматуры, хомутов и шпилек. Может посоветуешь где искать, чтоб время особо не тратить на опыты.
А ВетКАД рулит без вопросов!
__________________
Запомнить информацию легко. Вспомнить трудно.
RomansFather вне форума  
 
Автор темы   Непрочитано 30.10.2007, 05:09
#7
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


Цитата:
Сообщение от VVA Посмотреть сообщение
Пробуй...
Че-то не въезжаю:

Command: VRC
; error: no function definition: GET-ALL-ATTS

что то делаю не так?
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)
wetr вне форума  
 
Автор темы   Непрочитано 30.10.2007, 05:25
#8
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


Цитата:
Сообщение от RomansFather Посмотреть сообщение
Привет wetr. В тему я не въезджал, потому-что не дорос еще до использования Лэйаутов, Вьюпортов и прочей высшей математики (отчасти из за того, что работаю совместно с людьми, что привыкли по старинке, не особо вдаваясь в возможности Акада), но мне очень понравились твои динамические блоки арматуры, хомутов и шпилек. Может посоветуешь где искать, чтоб время особо не тратить на опыты.
А ВетКАД рулит без вопросов!
Я раньше тоже не вьезжал. Но когда попробовал - уже не могу иначе. Попробуй - может понравится. Из плюсов Лайаутов - авто-нумерация листов (лисп с dwg.ru), авто-заполнение ведомости чертежей(надеюсь разберемся), не надо масштабировань объекты, удобнее компановать, печать "одной кнопкой" всех листов. Из минусов: не видно все листы сразу, небольшие тормоза при переходе по листам.
p.s. Что искать то?
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)

Последний раз редактировалось wetr, 30.10.2007 в 11:02.
wetr вне форума  
 
Непрочитано 30.10.2007, 09:53
#9
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,800
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Все так, забыл функцию добавить. Пробуй снова из №5
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Автор темы   Непрочитано 30.10.2007, 11:00
#10
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


Спасибо! То что нужно! Только вручную приходится перетаскивать значения ячеек - они сортируются примерно так : 3а,3б,1,10,11,12...19,2,21...
Стиль таблицы используется по умолчанию? Я ничего не шарю в лиспе, но, я могу поменять в исходном коде названия столбцов, ширину, длину ячеек??? Ничего не рухнет?
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)
wetr вне форума  
 
Непрочитано 30.10.2007, 16:34
#11
RomansFather

Инженерконструктор
 
Регистрация: 25.10.2007
Минск
Сообщений: 350


Привет wetr. Уточняю вопрос. Где найти такие динамические блоки (сетки, хомуты, шпильки...), которые применены в твоем чертеже. Я перелопатил по поиску весь сайт - нашел похожие блоки, но не настолько интересные и удобные. Если не сложно кинь ссылку или выложи сами блоки (вышли на мыло).
__________________
Запомнить информацию легко. Вспомнить трудно.
RomansFather вне форума  
 
Непрочитано 30.10.2007, 17:23
#12
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,800
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Цитата:
Сообщение от wetr Посмотреть сообщение
Спасибо! То что нужно! Только
1. вручную приходится перетаскивать значения ячеек - они сортируются примерно так : 3а,3б,1,10,11,12...19,2,21...
2. Стиль таблицы используется по умолчанию?
3. Я ничего не шарю в лиспе, но, я могу поменять в исходном коде названия столбцов, ширину, длину ячеек??? Ничего не рухнет?
1. Изменил в №5 код. Сортироваться должны так 1,2,3а,3б,10,11,12...19,21...
2. Да
3. Нет (в смысле ничего не рухнет).
Названия солбцов
Код:
[Выделить все]
(vla-settext tbl 1 0 "Лист")
(vla-settext tbl 1 1 "Обозначение")
Ширина и длина ячеек ищи в коментариях, типа
Код:
[Выделить все]
(setq tbl (vla-addtable (lib:get-active-space)
                      (vlax-3d-point (trans pnt 1 0))
                      (+ (length attlst) 2)
                      2
                     800  ;_высота строки
                     6000 ;_ширина столбца
                    )
       )
...
        (vla-setcelltextheight tbl 1 0
                                   400  ;_Высота текста
            )
          (vla-setcelltextheight tbl 1 1
                                   400  ;_Высота текста
            )
          (vla-setcolumnwidth tbl 0
                                 3000 ;_Ширина колонки Лист
            )
          (vla-setcolumnwidth tbl 1
                                 9000 ;_Ширина колонки Обозначение
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Автор темы   Непрочитано 31.10.2007, 04:43
#13
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


Цитата:
Сообщение от RomansFather Посмотреть сообщение
Привет wetr. Уточняю вопрос. Где найти такие динамические блоки (сетки, хомуты, шпильки...), которые применены в твоем чертеже. Я перелопатил по поиску весь сайт - нашел похожие блоки, но не настолько интересные и удобные. Если не сложно кинь ссылку или выложи сами блоки (вышли на мыло).
Выложил в download все что есть, на данный момент.
http://dwg.ru/dnl/2849

О каком чертеже речь? Если не секрет?
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)

Последний раз редактировалось wetr, 31.10.2007 в 04:53.
wetr вне форума  
 
Непрочитано 31.10.2007, 15:22
#14
RomansFather

Инженерконструктор
 
Регистрация: 25.10.2007
Минск
Сообщений: 350


Привет wetr. Имею ввиду чертеж пример.rar в 4-ом посте (али не товой?).
Спасибо за блоки. Если надумаешь сделать блоки хомутов, то рассмотри вариант конфигурации загибов как у меня в файле. Такие загибы как рисуют в учебниках на стройке мало кто делает. А вариант, приведенный в файле, вполне реализуем на практике и, кроме того, такие загибы приведены в штатовских нормативных документах по жб и по-моему в Еврокоде (нет под рукой сейчас).
Вложения
Тип файла: dwg
DWG 2004
Хомут.dwg (31.3 Кб, 8042 просмотров)
__________________
Запомнить информацию легко. Вспомнить трудно.
RomansFather вне форума  
 
Автор темы   Непрочитано 02.11.2007, 03:29
#15
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


to VVA. пасибо еще раз. Все получилось. Начинаю любить Lisp
to RomansFather. Добавлено. см. download .
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)
wetr вне форума  
 
Автор темы   Непрочитано 06.11.2007, 10:37
#16
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


Недавно узнал про многострочные атрибуты. Но они... не очень хорошо отображаются в табличке... Можно ли что то сделать???
Миниатюры
Нажмите на изображение для увеличения
Название: 2007.11.02_Model.jpg
Просмотров: 818
Размер:	18.2 Кб
ID:	560  
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)
wetr вне форума  
 
Непрочитано 06.11.2007, 11:48
#17
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,800
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Используй форматирование многострочного текста

__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 14.11.2007 в 09:48.
VVA вне форума  
 
Автор темы   Непрочитано 06.11.2007, 16:06
#18
wetr

инженер
 
Регистрация: 09.08.2006
Владивосток
Сообщений: 1,553
<phrase 1= Отправить сообщение для wetr с помощью Skype™


Что то не въехал... Каким образом его использовать?
Насколько я понял, при вставке этой абракадабры в мультитекст и, в том числе в многострочный атрибут, должно быть как у тебя на картинке? Но у меня только этот набор текста и символов остается...Попробовал с разными текстовыми стилями, с атрибутами, таблицами и мультитекстом = везде едино
__________________
14 Ибо если вы будете прощать людям согрешения их, то простит и вам Отец ваш Небесный (Мф 6, 14)
wetr вне форума  
 
Непрочитано 06.11.2007, 17:09
#19
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,800
<phrase 1= Отправить сообщение для VVA с помощью Skype™


При вставке этой абракадабры через буфер Автокад добавляет еще один слэш. В окне свойств поудаляй по одному
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума  
 
Непрочитано 06.11.2007, 17:19
#20
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,800
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Вообще все это можно делать в редакторе мтекста.
1. Пичешь числитель и знаменатель, разделенный или / или ^
2. Выделяешь числитель, / (или ^), знаменатель.
3. На панельке становится активной кнопка a/b. Нажимаешь ее.
4. Текст превращается в дробь и наоборот
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 14.11.2007 в 09:48.
VVA вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Автозаполнение ведомости рабочих чертежей

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Автозаполнение ведомости чертежей и автонумерация листов в спдс 6 Кукурузо_Джон_Горыныч ПО от CSoft 34 15.02.2019 08:13
Ведомость рабочих чертежей основного комплекта 13Rossoneri Архитектура 3 22.08.2015 00:21
Аннулирование комплекта рабочих чертежей путем замены Elena.sh Разное 8 26.05.2011 05:47
Хочу быстрее заполнять ведомости рабочих чертежей! a-alex Программирование 2 19.02.2008 19:09